<html>
<head>
<title>OGRE: Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<h1>Ogre::VertexDeclaration Member List</h1>This is the complete list of members for <a class="el" href="classOgre_1_1VertexDeclaration.html">Ogre::VertexDeclaration</a>, including all inherited members.<p><table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexDeclaration.html#e789acf4f4a63d8638fc23cb4e26239f">addElement</a>(unsigned short source, size_t offset, VertexElementType theType, VertexElementSemantic semantic, unsigned short index=0)</td><td><a class="el" href="classOgre_1_1VertexDeclaration.html">Ogre::VertexDeclaration</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexDeclaration.html#933bb27a39695a561959638bfa82177c">clone</a>(void)</td><td><a class="el" href="classOgre_1_1VertexDeclaration.html">Ogre::VertexDeclaration</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexDeclaration.html#260ecb704cfc32b82f248e382a53be47">closeGapsInSource</a>(void)</td><td><a class="el" href="classOgre_1_1VertexDeclaration.html">Ogre::VertexDeclaration</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexDeclaration.html#dcc074b1bc6cdad3bde1d44c84ec6ccb">findElementBySemantic</a>(VertexElementSemantic sem, unsigned short index=0)</td><td><a class="el" href="classOgre_1_1VertexDeclaration.html">Ogre::VertexDeclaration</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexDeclaration.html#8efa1381b62ed44af9e1e366938a455f">findElementsBySource</a>(unsigned short source)</td><td><a class="el" href="classOgre_1_1VertexDeclaration.html">Ogre::VertexDeclaration</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexDeclaration.html#da106dad90a32452cead050b2f1f76aa">getAutoOrganisedDeclaration</a>(bool skeletalAnimation, bool vertexAnimation)</td><td><a class="el" href="classOgre_1_1VertexDeclaration.html">Ogre::VertexDeclaration</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexDeclaration.html#bc1f33f288750dbd42074ba7861614c7">getElement</a>(unsigned short index)</td><td><a class="el" href="classOgre_1_1VertexDeclaration.html">Ogre::VertexDeclaration</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexDeclaration.html#49ab5d499d097fd1e82d26b5bec35600">getElementCount</a>(void)</td><td><a class="el" href="classOgre_1_1VertexDeclaration.html">Ogre::VertexDeclaration</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexDeclaration.html#a9e3bde080e00f7cb9ee737259bb7fa2">getElements</a>(void) const </td><td><a class="el" href="classOgre_1_1VertexDeclaration.html">Ogre::VertexDeclaration</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexDeclaration.html#2aca53e4f9ccb1cef8d070b037e3b649">getMaxSource</a>(void) const </td><td><a class="el" href="classOgre_1_1VertexDeclaration.html">Ogre::VertexDeclaration</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexDeclaration.html#383736c1eed33634e0eaa9910f0176af">getVertexSize</a>(unsigned short source)</td><td><a class="el" href="classOgre_1_1VertexDeclaration.html">Ogre::VertexDeclaration</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexDeclaration.html#b11e10c594cd765a0d8389b9e96ec24e">insertElement</a>(unsigned short atPosition, unsigned short source, size_t offset, VertexElementType theType, VertexElementSemantic semantic, unsigned short index=0)</td><td><a class="el" href="classOgre_1_1VertexDeclaration.html">Ogre::VertexDeclaration</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexDeclaration.html#dc48aa31318d2384866eab90ee8406d5">mElementList</a></td><td><a class="el" href="classOgre_1_1VertexDeclaration.html">Ogre::VertexDeclaration</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexDeclaration.html#cf877a67096cf85fce47757010b531b1">modifyElement</a>(unsigned short elem_index, unsigned short source, size_t offset, VertexElementType theType, VertexElementSemantic semantic, unsigned short index=0)</td><td><a class="el" href="classOgre_1_1VertexDeclaration.html">Ogre::VertexDeclaration</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexDeclaration.html#64989816c9979aac5a5416d488d547d5">operator!=</a>(const VertexDeclaration &amp;rhs) const </td><td><a class="el" href="classOgre_1_1VertexDeclaration.html">Ogre::VertexDeclaration</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexDeclaration.html#ee364dc39b2dfdbff4a5b135e5e5ef39">operator==</a>(const VertexDeclaration &amp;rhs) const </td><td><a class="el" href="classOgre_1_1VertexDeclaration.html">Ogre::VertexDeclaration</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexDeclaration.html#9c6df3f800c43118c49e30940445669f">removeAllElements</a>(void)</td><td><a class="el" href="classOgre_1_1VertexDeclaration.html">Ogre::VertexDeclaration</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexDeclaration.html#2dc6358fb76e454d7ae30da4d014687c">removeElement</a>(unsigned short elem_index)</td><td><a class="el" href="classOgre_1_1VertexDeclaration.html">Ogre::VertexDeclaration</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexDeclaration.html#d98b8d55cf8490d788ba46633143ef94">removeElement</a>(VertexElementSemantic semantic, unsigned short index=0)</td><td><a class="el" href="classOgre_1_1VertexDeclaration.html">Ogre::VertexDeclaration</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexDeclaration.html#98cce285a45ba6f4cf817dcf46bfb588">sort</a>(void)</td><td><a class="el" href="classOgre_1_1VertexDeclaration.html">Ogre::VertexDeclaration</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexDeclaration.html#564fde701486b259f4f995a799adb433">VertexDeclaration</a>()</td><td><a class="el" href="classOgre_1_1VertexDeclaration.html">Ogre::VertexDeclaration</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexDeclaration.html#670466fe9bcfc426ccefb5395a3a82ef">vertexElementLess</a>(const VertexElement &amp;e1, const VertexElement &amp;e2)</td><td><a class="el" href="classOgre_1_1VertexDeclaration.html">Ogre::VertexDeclaration</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexDeclaration.html#60080b97acb5b645bf3524152d75cc5d">VertexElementList</a> typedef</td><td><a class="el" href="classOgre_1_1VertexDeclaration.html">Ogre::VertexDeclaration</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1VertexDeclaration.html#27c14f93e37659aa583f572ba250b155">~VertexDeclaration</a>()</td><td><a class="el" href="classOgre_1_1VertexDeclaration.html">Ogre::VertexDeclaration</a></td><td><code> [virtual]</code></td></tr>
</table><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:59 2008
</p>
</body>
</html>
